CVE-1999-1552
CVSS7.2
发布时间 :1994-07-20 00:00:00
修订时间 :2008-09-10 15:02:10
NMCOS    

[原文]dpsexec (DPS Server) when running under XDM in IBM AIX 3.2.5 and earlier does not properly check privileges, which allows local users to overwrite arbitrary files and gain privileges.


[CNNVD]AIX dpsexec漏洞(CNNVD-199407-002)

        IBM AIX 3.2.5及其早期版本中的dpsexec(DPS服务器)当运行的时候不能正确的检查权限,本地用户可以覆盖任意文件和提升特权。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:ibm:aix:3.2.5IBM AIX 3.2.5
cpe:/o:ibm:aix:3.2IBM AIX 3.2
cpe:/o:ibm:aix:3.1IBM AIX 3.1
cpe:/o:ibm:aix:3.2.4IBM AIX 3.2.4

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1552
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1552
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199407-002
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/358
(VENDOR_ADVISORY)  BID  358
http://lists.insecure.org/lists/bugtraq/1994/Jul/0038.html
(UNKNOWN)  BUGTRAQ  19940720 xnews and XDM

- 漏洞信息

AIX dpsexec漏洞
高危 其他
1994-07-20 00:00:00 2005-10-20 00:00:00
本地  
        IBM AIX 3.2.5及其早期版本中的dpsexec(DPS服务器)当运行的时候不能正确的检查权限,本地用户可以覆盖任意文件和提升特权。

- 公告与补丁

        Disable the DPS server (/usr/lpp/DPS/bin/dpsexec). This server is actually by default already turned off. If you have have enabled it because you require it we suggest you consider an alternative as there is currently no known fix to this problem.

- 漏洞信息

8010
IBM AIX DPS Server dpsexec Arbitrary Privileged File Modification

- 漏洞描述

Unknown or Incomplete

- 时间线

1994-07-20 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

AIX dpsexec Vulnerability
Access Validation Error 358
No Yes
1994-07-20 12:00:00 2009-07-11 12:16:00
This bug was posted to tbe Bugtraq mailing list by Sam Hartman (hartmans@bga.com) Wed, 20 July 1994.

- 受影响的程序版本

IBM AIX 3.2.5
IBM AIX 3.2.4
IBM AIX 3.2
IBM AIX 3.1

- 漏洞讨论

AIX versions previous and up to 3.2.5 (and possibly later) ship with a DPS Server. When run under XDM (a login utility under certian X-Windows versions) this server assumes root privileges. Due to this, and no proper UID checking, users can write to any file on the system therefore gaining root privileges.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

Disable the DPS server (/usr/lpp/DPS/bin/dpsexec). This server is actually by default already turned off. If you have have enabled it because you require it we suggest you consider an alternative as there is currently no known fix to this problem.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站